Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Public Attributes
tlp::VoronoiDiagram Class Reference
Basic

`#include <Delaunay.h>`

List of all members.

## Public Types

- typedef Coord Site
- typedef Coord Vertex
- typedef std::pair< unsigned
  int, unsigned int > Edge
- typedef std::set< unsigned int > Cell

## Public Member Functions

- unsigned int nbSites () const
- unsigned int nbVertices () const
- unsigned int nbEdges () const
- const Site & site (const unsigned int siteIdx)
- const Vertex & vertex (const unsigned int vertexIdx)
- const Edge & edge (const unsigned int edgeIdx)
- const Cell & cell (const unsigned int cellIdx)
- unsigned int degreeOfVertex (const unsigned int vertexIdx)
- std::vector< Edge > voronoiEdgesForSite (const unsigned int siteIdx)
- const Cell & voronoiCellForSite (const unsigned int siteIdx)

## Public Attributes

- std::vector< Site > sites
- std::vector< Vertex > vertices
- std::vector< Edge > edges
- std::vector< Cell > cells
- TLP_HASH_MAP< unsigned int,
  std::vector< unsigned int > > siteToCellEdges
- TLP_HASH_MAP< unsigned int,
  unsigned int > siteToCell
- TLP_HASH_MAP< unsigned int,
  unsigned int > verticesDegree

## Member Typedef Documentation

typedef std::set<unsigned int> tlp::VoronoiDiagram::Cell

typedef std::pair<unsigned int, unsigned int> tlp::VoronoiDiagram::Edge

typedef Coord tlp::VoronoiDiagram::Site

typedef Coord tlp::VoronoiDiagram::Vertex

## Member Function Documentation

const Cell& tlp::VoronoiDiagram::cell | ( | const unsigned int | cellIdx | ) | `[inline]`

unsigned int tlp::VoronoiDiagram::degreeOfVertex | ( | const unsigned int | vertexIdx | ) | `[inline]`

const Edge& tlp::VoronoiDiagram::edge | ( | const unsigned int | edgeIdx | ) | `[inline]`

unsigned int tlp::VoronoiDiagram::nbEdges | ( |  | ) | const`[inline]`

unsigned int tlp::VoronoiDiagram::nbSites | ( |  | ) | const`[inline]`

unsigned int tlp::VoronoiDiagram::nbVertices | ( |  | ) | const`[inline]`

const Site& tlp::VoronoiDiagram::site | ( | const unsigned int | siteIdx | ) | `[inline]`

const Vertex& tlp::VoronoiDiagram::vertex | ( | const unsigned int | vertexIdx | ) | `[inline]`

const Cell& tlp::VoronoiDiagram::voronoiCellForSite | ( | const unsigned int | siteIdx | ) | `[inline]`

std::vector<Edge> tlp::VoronoiDiagram::voronoiEdgesForSite | ( | const unsigned int | siteIdx | ) | `[inline]`

## Member Data Documentation

std::vector<Cell> tlp::VoronoiDiagram::cells

std::vector<Edge> tlp::VoronoiDiagram::edges

std::vector<Site> tlp::VoronoiDiagram::sites

TLP_HASH_MAP<unsigned int, unsigned int> tlp::VoronoiDiagram::siteToCell

TLP_HASH_MAP<unsigned int, std::vector<unsigned int> > tlp::VoronoiDiagram::siteToCellEdges

std::vector<Vertex> tlp::VoronoiDiagram::vertices

TLP_HASH_MAP<unsigned int, unsigned int> tlp::VoronoiDiagram::verticesDegree

Tulip Software by LaBRI Visualization Team 2001 - 2012